Bug 1341252 - ejabberd does not log to journald
Summary: ejabberd does not log to journald
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: 25
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-31 14:39 UTC by Jeremy Cline
Modified: 2017-12-12 10:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:41:50 UTC


Attachments (Terms of Use)
Patch to ejabberd.service (1.17 KB, patch)
2016-05-31 14:39 UTC, Jeremy Cline
no flags Details | Diff

Description Jeremy Cline 2016-05-31 14:39:48 UTC
Created attachment 1163265 [details]
Patch to ejabberd.service

Description of problem:
It'd be great if ejabberd logged to journald rather than /var/log/ejabberd/.
This can be achieved with a few small changes to the systemd unit file. I've attached my proposed systemd unit file.

Version-Release number of selected component (if applicable):

All currently released versions.


Steps to Reproduce:
1. systemctl start ejabberd.service
2. journalctl -u ejabberd
3. :(

Actual results:
Logs are placed in /var/log/ejabberd


Expected results:
Logging is handled by journald

Comment 1 Peter Lemenkov 2016-05-31 14:46:26 UTC
Cool! Like this change!

I didn't try this patch yet, so I've got the only thing which bothers me. Does it logs to /var/log/ejabberd as well, or completely stops writing logs there? This might be considered as a regression so we'd better to put explanatory README.logs there.

Comment 2 Jeremy Cline 2016-05-31 15:18:40 UTC
Good question.

It appears to log to /var/log/ejabberd/ and also to stdout when run in foreground mode. The logs to stdout end up in journald and the server duplicates its log entries to /var/log/ejabberd/. There might be a way to stop this if we want to, but I'm not sure. 

It also seems that if ``--logs`` isn't supplied (I removed it in my patch) it falls back to the default, so we should probably keep that in the unit file in case the upstream default changes.

Comment 3 Jan Kurik 2016-07-26 04:33:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Fedora End Of Life 2017-11-16 19:44:14 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:41:50 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.